Loading...
Searching...
No Matches
Iterative Solvers
Iterative Solvers Template Library (ISTL)
Collaboration diagram for Iterative Solvers:

## Topics

| Eigenvalue Solvers
| Parallel Solvers
| Operator concept
| Preconditioners
| Scalar products
| Scalar products for the use in iterative solvers.

## Files

file | solver.hh
| Define general, extensible interface for inverse operators.
file | solvers.hh
| Implementations of the inverse operator interface.

## Classes

struct | Dune::InverseOperatorResult
| Statistics about the application of an inverse operator. More...
class | Dune::InverseOperator< X, Y >
| Abstract base class for all solvers. More...
class | Dune::IterativeSolver< X, Y >
| Base class for all implementations of iterative solvers. More...
class | Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >
| Helper class for notifying a DUNE-ISTL linear solver about a change of the iteration matrix object in a unified way, i.e. independent from the solver's type (direct/iterative). More...
struct | Dune::SolverCategory
| Categories for the solvers. More...
class | Dune::InvalidSolverCategory
class | Dune::LoopSolver< X >
| Preconditioned loop solver. More...
class | Dune::GradientSolver< X >
| gradient method More...
class | Dune::CGSolver< X >
| conjugate gradient method More...
class | Dune::BiCGSTABSolver< X >
| Bi-conjugate Gradient Stabilized (BiCG-STAB). More...
class | Dune::MINRESSolver< X >
| Minimal Residual Method (MINRES). More...
class | Dune::RestartedGMResSolver< X, Y, F >
| implements the Generalized Minimal Residual (GMRes) method More...
class | Dune::RestartedFlexibleGMResSolver< X, Y, F >
| implements the Flexible Generalized Minimal Residual (FGMRes) method (right preconditioned) More...
class | Dune::GeneralizedPCGSolver< X >
| Generalized preconditioned conjugate gradient solver. More...
class | Dune::RestartedFCGSolver< X >
| Accelerated flexible conjugate gradient method. More...
class | Dune::CompleteFCGSolver< X >
| Complete flexible conjugate gradient method. More...

## Functions

| Dune::DUNE_REGISTER_SOLVER ("loopsolver", defaultIterativeSolverCreator< Dune::LoopSolver >())
| Dune::DUNE_REGISTER_SOLVER ("gradientsolver", defaultIterativeSolverCreator< Dune::GradientSolver >())
| Dune::DUNE_REGISTER_SOLVER ("cgsolver", defaultIterativeSolverCreator< Dune::CGSolver >())
| Dune::DUNE_REGISTER_SOLVER ("bicgstabsolver", defaultIterativeSolverCreator< Dune::BiCGSTABSolver >())
| Dune::DUNE_REGISTER_SOLVER ("minressolver", defaultIterativeSolverCreator< Dune::MINRESSolver >())
| Dune::DUNE_REGISTER_SOLVER ("restartedgmressolver", defaultIterativeSolverCreator< Dune::RestartedGMResSolver >())
| Dune::DUNE_REGISTER_SOLVER ("restartedflexiblegmressolver", defaultIterativeSolverCreator< Dune::RestartedFlexibleGMResSolver >())
| Dune::DUNE_REGISTER_SOLVER ("generalizedpcgsolver", defaultIterativeSolverCreator< Dune::GeneralizedPCGSolver >())
| Dune::DUNE_REGISTER_SOLVER ("restartedfcgsolver", defaultIterativeSolverCreator< Dune::RestartedFCGSolver >())
| Dune::DUNE_REGISTER_SOLVER ("completefcgsolver", defaultIterativeSolverCreator< Dune::CompleteFCGSolver >())

## Detailed Description

## Function Documentation

## DUNE_REGISTER_SOLVER() [1/10]

Dune::DUNE_REGISTER_SOLVER | ( | "bicgstabsolver" | ,
|  | defaultIterativeSolverCreator< Dune::BiCGSTABSolver > | () )

## DUNE_REGISTER_SOLVER() [2/10]

Dune::DUNE_REGISTER_SOLVER | ( | "cgsolver" | ,
|  | defaultIterativeSolverCreator< Dune::CGSolver > | () )

## DUNE_REGISTER_SOLVER() [3/10]

Dune::DUNE_REGISTER_SOLVER | ( | "completefcgsolver" | ,
|  | defaultIterativeSolverCreator< Dune::CompleteFCGSolver > | () )

## DUNE_REGISTER_SOLVER() [4/10]

Dune::DUNE_REGISTER_SOLVER | ( | "generalizedpcgsolver" | ,
|  | defaultIterativeSolverCreator< Dune::GeneralizedPCGSolver > | () )

## DUNE_REGISTER_SOLVER() [5/10]

Dune::DUNE_REGISTER_SOLVER | ( | "gradientsolver" | ,
|  | defaultIterativeSolverCreator< Dune::GradientSolver > | () )

## DUNE_REGISTER_SOLVER() [6/10]

Dune::DUNE_REGISTER_SOLVER | ( | "loopsolver" | ,
|  | defaultIterativeSolverCreator< Dune::LoopSolver > | () )

## DUNE_REGISTER_SOLVER() [7/10]

Dune::DUNE_REGISTER_SOLVER | ( | "minressolver" | ,
|  | defaultIterativeSolverCreator< Dune::MINRESSolver > | () )

## DUNE_REGISTER_SOLVER() [8/10]

Dune::DUNE_REGISTER_SOLVER | ( | "restartedfcgsolver" | ,
|  | defaultIterativeSolverCreator< Dune::RestartedFCGSolver > | () )

## DUNE_REGISTER_SOLVER() [9/10]

Dune::DUNE_REGISTER_SOLVER | ( | "restartedflexiblegmressolver" | ,
|  | defaultIterativeSolverCreator< Dune::RestartedFlexibleGMResSolver > | () )

## DUNE_REGISTER_SOLVER() [10/10]

Dune::DUNE_REGISTER_SOLVER | ( | "restartedgmressolver" | ,
|  | defaultIterativeSolverCreator< Dune::RestartedGMResSolver > | () )